Get network list
curl --request GET \
--url https://user.pmock.com/api/open/api/network/listimport requests
url = "https://user.pmock.com/api/open/api/network/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://user.pmock.com/api/open/api/network/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://user.pmock.com/api/open/api/network/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://user.pmock.com/api/open/api/network/list"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://user.pmock.com/api/open/api/network/list")
.asString();require 'uri'
require 'net/http'
url = URI("https://user.pmock.com/api/open/api/network/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"traceId": "<string>",
"total": 123,
"rows": [
{
"id": 123,
"name": "<string>",
"num": 123,
"groupId": 123,
"groupName": "<string>",
"host": "<string>",
"port": 123,
"account": "<string>",
"password": "<string>",
"type": "<string>",
"status": 123,
"detectDataType": 123,
"bindCount": 123,
"boxBindCount": 123,
"countryCode": "<string>",
"timezone": "<string>",
"language": "<string>",
"countryName": "<string>",
"region": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"ip": "<string>",
"remark": "<string>",
"createTime": "<string>",
"updateTime": "<string>",
"expireTime": "<string>"
}
],
"code": 123,
"msg": "<string>"
}Network
Get network list
GET
/
open
/
api
/
network
/
list
Get network list
curl --request GET \
--url https://user.pmock.com/api/open/api/network/listimport requests
url = "https://user.pmock.com/api/open/api/network/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://user.pmock.com/api/open/api/network/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://user.pmock.com/api/open/api/network/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://user.pmock.com/api/open/api/network/list"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://user.pmock.com/api/open/api/network/list")
.asString();require 'uri'
require 'net/http'
url = URI("https://user.pmock.com/api/open/api/network/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"traceId": "<string>",
"total": 123,
"rows": [
{
"id": 123,
"name": "<string>",
"num": 123,
"groupId": 123,
"groupName": "<string>",
"host": "<string>",
"port": 123,
"account": "<string>",
"password": "<string>",
"type": "<string>",
"status": 123,
"detectDataType": 123,
"bindCount": 123,
"boxBindCount": 123,
"countryCode": "<string>",
"timezone": "<string>",
"language": "<string>",
"countryName": "<string>",
"region": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"ip": "<string>",
"remark": "<string>",
"createTime": "<string>",
"updateTime": "<string>",
"expireTime": "<string>"
}
],
"code": 123,
"msg": "<string>"
}Query Parameters
proxy network ip/domain The host value contained in the current interface's returned result
The num value contained in the current interface's returned result
remark
The groupId value contained in the current interface's returned result
Network system packet code, all_group=All groups,renew_expired=After the renewal period,un_group=Not grouped
Network Packet Type, system_group=System grouping,custom_group=Custom grouping
Proxy serial numbers, comma-separated for multiple
Number of records displayed per page The default is1,and the maximum number of items in a single query is:1
Current page count
